Get single founder
curl --request GET \
--url https://api.dealroom.app/data/founders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dealroom.app/data/founders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dealroom.app/data/founders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dealroom.app/data/founders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dealroom.app/data/founders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dealroom.app/data/founders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dealroom.app/data/founders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "345d1ab6-33df-4759-9e17-0d0c0ec9ab1c",
"type": "person",
"subtype": null,
"name": "Patrick Collison",
"tagline": "<string>",
"about": "<string>",
"image": "<string>",
"dealroom_url": "<string>",
"links": {
"linkedin": "<string>",
"twitter": "<string>",
"angellist": "<string>",
"crunchbase": "<string>"
},
"locations": [
{
"role": "hq",
"city": {
"id": 123,
"name": "<string>"
},
"state": {
"id": 123,
"name": "<string>"
},
"country": {
"id": 123,
"name": "<string>"
},
"continent": {
"id": 123,
"name": "<string>"
},
"lat": 123,
"lon": 123
}
],
"roles": [
"founder"
],
"classifications": [
"startup"
],
"taxonomy": [
{
"id": 123,
"name": "<string>",
"type": "sector"
}
],
"gender": "male",
"signal_rating": 123,
"investor": {
"rank": 123,
"types": [
{
"id": 123,
"name": "<string>",
"code": "<string>"
}
],
"stages": [
{
"id": 123,
"name": "<string>",
"code": "<string>"
}
],
"deal_size": {
"min": 123,
"max": 123
},
"investments": {
"count": 123,
"total_invested": 123,
"preferred_round": "<string>",
"last_round_date": "2024-03"
},
"portfolio": {
"rounds_count": 123,
"total_valuation": 123,
"companies": {
"total": 123,
"sort": "-last_round_date",
"items": [
{
"is_lead": true,
"rounds_count": 123,
"last_round_date": "2024-03",
"company": {
"uuid": "<string>",
"type": "organization",
"subtype": "company",
"name": "<string>",
"image": "<string>",
"dealroom_url": "<string>"
}
}
]
}
},
"exits": {
"count": 123,
"total_value": 123,
"pct": 123
},
"match": {
"companies_count": 123,
"invested": 123
},
"round_match": {
"count": 123,
"total": 123,
"pct": 123
}
},
"founded_companies": {
"count": 123,
"total_funding": 123
},
"career": {
"total": 123,
"sort": "-is_founder,is_past,-start_date",
"items": [
{
"raw_title": "<string>",
"titles": [
"<string>"
],
"is_founder": true,
"is_executive": true,
"is_partner": true,
"is_past": true,
"start_date": "2024-03",
"end_date": "2024-03",
"company": {
"uuid": "<string>",
"type": "organization",
"subtype": "company",
"name": "<string>",
"image": "<string>",
"dealroom_url": "<string>"
}
}
]
},
"education": {
"total": 123,
"sort": "-start_date",
"items": [
{
"degree": {
"id": 123,
"name": "<string>"
},
"majors": [
{
"id": 123,
"name": "<string>"
}
],
"start_date": "2024-03",
"end_date": "2024-03",
"university": {
"uuid": "<string>",
"type": "organization",
"subtype": "company",
"name": "<string>",
"image": "<string>",
"dealroom_url": "<string>"
}
}
]
},
"available": [
"founded_companies"
],
"added_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"locked": [
{
"field": "<string>",
"reason": "ACCOUNT_REQUIRED",
"unlock": "signup"
}
],
"currency": "EUR"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required — provide a valid bearer token.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action.",
"details": null
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded — retry after the delay in the `Retry-After` header.",
"details": null
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is temporarily unavailable.",
"details": null
}
}Founders
Get single founder
Returns the full founder profile by UUID (numeric IDs are not accepted). Includes biographic details, founder badges (super founder, serial founder, etc.), professional history, education, and links to founded companies.
GET
/
data
/
founders
/
{id}
Get single founder
curl --request GET \
--url https://api.dealroom.app/data/founders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dealroom.app/data/founders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dealroom.app/data/founders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dealroom.app/data/founders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dealroom.app/data/founders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dealroom.app/data/founders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dealroom.app/data/founders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "345d1ab6-33df-4759-9e17-0d0c0ec9ab1c",
"type": "person",
"subtype": null,
"name": "Patrick Collison",
"tagline": "<string>",
"about": "<string>",
"image": "<string>",
"dealroom_url": "<string>",
"links": {
"linkedin": "<string>",
"twitter": "<string>",
"angellist": "<string>",
"crunchbase": "<string>"
},
"locations": [
{
"role": "hq",
"city": {
"id": 123,
"name": "<string>"
},
"state": {
"id": 123,
"name": "<string>"
},
"country": {
"id": 123,
"name": "<string>"
},
"continent": {
"id": 123,
"name": "<string>"
},
"lat": 123,
"lon": 123
}
],
"roles": [
"founder"
],
"classifications": [
"startup"
],
"taxonomy": [
{
"id": 123,
"name": "<string>",
"type": "sector"
}
],
"gender": "male",
"signal_rating": 123,
"investor": {
"rank": 123,
"types": [
{
"id": 123,
"name": "<string>",
"code": "<string>"
}
],
"stages": [
{
"id": 123,
"name": "<string>",
"code": "<string>"
}
],
"deal_size": {
"min": 123,
"max": 123
},
"investments": {
"count": 123,
"total_invested": 123,
"preferred_round": "<string>",
"last_round_date": "2024-03"
},
"portfolio": {
"rounds_count": 123,
"total_valuation": 123,
"companies": {
"total": 123,
"sort": "-last_round_date",
"items": [
{
"is_lead": true,
"rounds_count": 123,
"last_round_date": "2024-03",
"company": {
"uuid": "<string>",
"type": "organization",
"subtype": "company",
"name": "<string>",
"image": "<string>",
"dealroom_url": "<string>"
}
}
]
}
},
"exits": {
"count": 123,
"total_value": 123,
"pct": 123
},
"match": {
"companies_count": 123,
"invested": 123
},
"round_match": {
"count": 123,
"total": 123,
"pct": 123
}
},
"founded_companies": {
"count": 123,
"total_funding": 123
},
"career": {
"total": 123,
"sort": "-is_founder,is_past,-start_date",
"items": [
{
"raw_title": "<string>",
"titles": [
"<string>"
],
"is_founder": true,
"is_executive": true,
"is_partner": true,
"is_past": true,
"start_date": "2024-03",
"end_date": "2024-03",
"company": {
"uuid": "<string>",
"type": "organization",
"subtype": "company",
"name": "<string>",
"image": "<string>",
"dealroom_url": "<string>"
}
}
]
},
"education": {
"total": 123,
"sort": "-start_date",
"items": [
{
"degree": {
"id": 123,
"name": "<string>"
},
"majors": [
{
"id": 123,
"name": "<string>"
}
],
"start_date": "2024-03",
"end_date": "2024-03",
"university": {
"uuid": "<string>",
"type": "organization",
"subtype": "company",
"name": "<string>",
"image": "<string>",
"dealroom_url": "<string>"
}
}
]
},
"available": [
"founded_companies"
],
"added_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"locked": [
{
"field": "<string>",
"reason": "ACCOUNT_REQUIRED",
"unlock": "signup"
}
],
"currency": "EUR"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required — provide a valid bearer token.",
"details": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action.",
"details": null
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded — retry after the delay in the `Retry-After` header.",
"details": null
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is temporarily unavailable.",
"details": null
}
}Authorizations
oauth2bearerAuth
OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 1h — Swagger UI will reuse the same token across operations. Revoking or deactivating a key rejects it on the next request (within a ≤5-minute server-side cache window), not at token expiry.
Headers
Path Parameters
Response
Single founder